Skip to main content
GET
List agents
Minimum role required: Viewer

Authorizations

X-Axilio-Api-Key
string
header
required

Customer API key (axl_ prefix).

Query Parameters

limit
integer<int64>
default:50

Page size.

Required range: 1 <= x <= 200
offset
integer<int64>
default:0

Where the page starts.

Required range: x >= 0

Narrow to agents whose name or id contains this, case-insensitively.

Maximum string length: 200
kind
enum<string>

Narrow to agents whose current revision is instructions or code. Omit for both.

Available options:
,
instructions,
code
created_after
string<date-time>

Only agents created at or after this time (RFC 3339).

created_before
string<date-time>

Only agents created at or before this time (RFC 3339).

last_run_after
string<date-time>

Only agents last run at or after this time (RFC 3339).

last_run_before
string<date-time>

Only agents last run at or before this time (RFC 3339).

Response

OK

One page of the organization's agents, newest first.

agents
object[] | null
required

The agents on this page.

limit
integer<int64>
required

The page size.

offset
integer<int64>
required

Where this page starts.

total
integer<int64>
required

How many agents match.